/* =====================================================================================================
// Project      : CoinMachine platform
// Context      : blockchain/cryptocurrency education and consulting, IT developement
// File         : contacts.css
// Role         : contacts.php special CSS stylesheet
// Author       : CoinMachine
// Creation     : 2023-06-13
// Last update  : 2021-06-28
// ===================================================================================================== */
:root {
        --linkedin: #0077b5;
        --github: darkgray;
        --discord: #7289da;
        --mail: #ff0000;
        --odysee: #f98f2a;
}
/* *** *** *** CONTAINERS *** *** *** */
#contacts-container {
    display: block;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
#contacts-container .row article {
    margin: 20px auto;
    padding: 10px;
    padding-bottom: 20px;
    border: 1px ridge #06c883;
    border-radius: 0% 100% 100% 0% / 55% 46% 54% 45%;
    background-clip: text;
    -moz-background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    background-image: linear-gradient(45deg, #06c883, #ebef7b);
    box-shadow: 2px 2px 2px #a9ef7b;
}
#linkedin-details, #github-details,
#discord-details, #mail-details, #odysee-details {
    display: none;
}
/* *** *** *** MINI NAVIGATION MENU *** *** *** */

/* *** *** *** TITRAGES *** *** *** */
#linkedin-title, #github-title,
#discord-title, #mail-title, #odysee-title {
    cursor: pointer;
}
#linkedin-title:hover, #github-title:hover,
#discord-title:hover, #mail-title:hover,
#odysee-title:hover {
    background-clip: text;
    -moz-background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    background-image: linear-gradient(45deg, #06acc8, #8306c8);
}
/* *** *** *** USER CLASSES *** *** *** */
.social-brands {
    font-size: 2em;
}
.linkedin {
    color: var(--linkedin);
}
.github {
    color: var(--github);
}
.discord {
    color: var(--discord);
}
.mail {
    color: var(--mail);
}
.odysee {
    color: var(--odysee);
}
article .row h3 {
    font-family: "Aldrich";
    font-size: 2em;
}
article .row a {
    text-decoration: none;
    font-family: "Aldrich";
    font-size: 1.25em;
    background-clip: text;
    -moz-background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    background-image: linear-gradient(45deg, #ebef7b), #06c883;
}
article .row a:hover {
    background-image: linear-gradient(45deg, #06acc8, #8306c8);
}
.social-link span {
    margin-left: 5px;
}
.social-thumbnail {
    max-width: 150px;
    box-shadow: 1px 1px 2px #06c883;
}
.social-thumbnail:hover {
    box-shadow: 1px 1px 2px #ebef7b;
}
/* *** *** *** ANIMATIONS *** *** *** */

/* *** *** *** MEDIA QUERIES *** *** *** */
@media screen and (max-width: 1350px) {

}
@media screen and (max-width: 1200px) {

}
@media screen and (max-width: 992px) {

}
@media screen and (max-width: 768px) {

}
@media screen and (max-width: 576px) {

}
@media screen and (max-width: 480px) {
    #contacts-container .row article a {
        font-size: 1em;
    }
}
@media screen and (max-width: 360px) {
    #contacts-container .row article span {
        font-size: 1.2em;
    }
    #contacts-container .row article h3 {
        font-size: 1em;
    }
    #contacts-container .row article a {
        margin-bottom: 6px;
        font-size: 0.8em;
    }
}